import 'package:flutter/foundation.dart';
import 'package:flutter/widgets.dart';
import 'package:ampos_ui_library/style/ampos_colors.dart';
import 'package:ampos_ui_library/widgets/base_button.dart';

class Button extends BaseButton {
  Button(
    String text, {
    @required VoidCallback onPressed,
    bool enable = true,
    Icon leading,
  }) : super(text,
            onPressed: onPressed,
            color: AmposColors.tiffanyBlue,
            onPressedColor: AmposColors.teal,
            leading: leading,
            alignment: (leading == null) ? MainAxisAlignment.center : MainAxisAlignment.start);
}
