part of 'two_button_dialog.dart';

class TwoButtonDialogViewModel {
  TwoButtonDialogViewModel({
    this.title,
    this.content,
    @required this.confirmText,
    @required this.cancelText,
    this.onConfirm,
    this.onCancel,
  })  : assert(confirmText != null),
        assert(cancelText != null);

  String title;
  String content;
  String confirmText;
  String cancelText;

  Function onConfirm;
  Function onCancel;

  Function _onShow;

  void show() {
    if (_onShow != null) {
      _onShow();
    }
  }
}