import 'package:ampos_ui_library/style/ampos_colors.dart';
import 'package:ampos_ui_library/widgets/text_widget.dart';
import 'package:flutter/widgets.dart';

class IconText extends Row {
  IconText(String asset, String text)
      : super(
          children: <Widget>[
            Image.asset(
              asset,
              width: 16,
              height: 16,
            ),
            TextWidget(
              text,
              padding: EdgeInsets.all(8),
              color: AmposColors.outerSpace,
              fontWeight: FontWeight.bold,
            ),
          ],
        );
}
