import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:ampos_ui_library/style/ampos_style.dart';

class Loading extends Container {
  Loading({double size = 36, color = AmposColors.primary})
      : super(
            width: size,
            height: size,
            child: Center(
              child: CircularProgressIndicator(
                valueColor: AlwaysStoppedAnimation<Color>(color),
              ),
            ));
}
