import 'package:ampos_ui_library/style/ampos_colors.dart';
import 'package:ampos_ui_library/widgets/base_button.dart';
import 'package:flutter/foundation.dart';

class ActionButton extends BaseButton {
  ActionButton(
    String text, {
    @required VoidCallback onPressed,
    bool enable = true,
  }) : super(
          text,
          onPressed: onPressed,
          color: AmposColors.deepCarrotOrange,
          onPressedColor: AmposColors.rust,
        );
}
