import 'package:ampos_ui_library/style/ampos_colors.dart';
import 'package:flutter/material.dart';

class BorderCard extends Card {
  BorderCard({Widget child})
      : super(
            clipBehavior: Clip.antiAlias,
            elevation: 0,
            margin: EdgeInsets.zero,
            shape: RoundedRectangleBorder(
              side: BorderSide(color: AmposColors.dark_gray, width: 1),
              borderRadius: BorderRadius.all(Radius.circular(8)),
            ),
            child: child);
}
