import 'package:flutter/material.dart';

class ImageCircleBackground extends GestureDetector {
  ImageCircleBackground(String asset, {GestureTapCallback onTap})
      : super(
          onTap: onTap,
          child: Container(
            width: 48,
            height: 40,
            child: Stack(
              alignment: Alignment.center,
              children: <Widget>[
                Container(
                  decoration: BoxDecoration(
                      color: Colors.white, shape: BoxShape.circle),
                ),
                Image.asset(
                  asset,
                  width: 24,
                  height: 24,
                )
              ],
            ),
          ),
        );
}
