import 'package:ampos_ui_library/ampos_ui_library.dart';
import 'package:flutter/cupertino.dart';

class SectionHeader extends Container {
  SectionHeader({
    String title = '',
    double fontSize = FontSize.small,
    FontWeight fontWeight = FontWeight.w300,
    Color backgroundColor = AmposColors.munsell,
    Color textColor = AmposColors.battleship,
    double height = 32,
    double width = double.infinity,
    EdgeInsets padding = const EdgeInsets.symmetric(horizontal: 16, vertical: 8),
    EdgeInsets margin = EdgeInsets.zero,
  }) : super(
            color: backgroundColor,
            height: height,
            width: width,
            padding: padding,
            margin: margin,
            alignment: Alignment.centerLeft,
            child: TextWidget(
              title,
              color: textColor,
              fontSize: fontSize,
              fontWeight: fontWeight,
            ));
}
